Get a zone VNUM map
Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.
const url = 'https://example.com/admin/olc/zones/example/vnums';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/admin/olc/zones/example/vnumsReturns used and free VNUM ranges for rooms, mobiles, objects, and shops without claiming any resource.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Zone number.
Zone number.
Responses
Section titled “Responses”OK
object
object
object
Example generated
{ "end": 1, "kinds": [ { "end": 1, "free": [ { "end": 1, "start": 1 } ], "kind": "example", "start": 1, "suggested": 1, "used": [ 1 ] } ], "start": 1, "zone": 1}default
Section titled “default”Error
object
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}